// Programmed by Seung S. Yang
// e-mail: syang@cs.kent.edu

import javax.swing.DefaultListModel;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;

class Globals {
	// for windows
	static final int marginWidth = 20;
	static final int marginHeight = 20;
	static final int leftPanelWidth = 500;
	static final int titlePanelWidth = 20;
	static final int dixeePanelHeight = 80;
	static final int navNStatusPanelWidth = 165;
	static final int navNStatusPanelHeight = 165;

	// for connections
	static final int CMD_PORT = 9000;
	static final int FRAME_SLIDER_PORT = CMD_PORT+1;
	static final int STRESS_PORT = 9900;

	// for controls
	static final int MAX_FPS = 40;
	static final int PFM_INIT = 1;
	static final int MAX_ENCODER_NO = 30;

	// windows
	static Splash splash;
	static JFrame mainFrame;
	static int mainWindowWidth;
	static int mainWindowHeight;
	static int leftPanelWindowsHeight;
	static int rightPanelWidth;
	static int rightPanelWindowHeight;
	static JPanel leftPanel;
	static JPanel rightPanel;
	static JLabel navLabel;
	static JTextArea statusTextArea;
	static JFrame protocolsFrame;
	static DixeeStatusPanel dixeeStatusPanel;

	// left sub panels
	static RunPanel runPanel;
	static ConfigPanel configPanel;
	static BitRatePanel bitRatePanel;
	static StressPanel stressPanel;
	
	// right sub panels
	static DeployMapPanel deployMapPanel;
	
	// config window
	static JList encList;
	static JTextField controlCenterName = new JTextField();
	static JTextField controlCenterPort = new JTextField();
	static JTextField svrName = new JTextField();
	static JTextField svrPort = new JTextField();
	static JTextField decName = new JTextField();
	static JTextField decPort = new JTextField();
	static JTextField muxName = new JTextField();
	static JTextField muxPort = new JTextField();
	static JTextField playerName = new JTextField();
	static JTextField playerPort = new JTextField();
	static JTextField encCmdPort = new JTextField();
	static JTextField encDataPort = new JTextField();
	static JTextField encQueryPort = new JTextField();
	static DefaultListModel encListModel;

}
